We are in the process of migrating this forum. A new space will be available soon. We are sorry for the inconvenience.

Patch party: in the Linux kernel


werdz
09-03-2009, 10:54 AM

That bug was a pain in the head to deal with on a few other (non-OVH)
machines. It's encouraging to see that OVH were on top of it within a
few hours though, didn't hear a peep about it from...some other
hosts....


--
werdz
------------------------------------------------------------------------
werdz's Profile: http://forum.ovh.ie/member.php?userid=94
View this thread: http://forum.ovh.ie/showthread.php?t=54


oles@ovh.net
09-03-2009, 10:54 AM
Hello,

A security bug was found in some of the kernel functions. There are also exploits that can have root access on a server with a simple shell. In the case of our servers, if you're running IPv6 you are vulnerable and we must update the kernel of your server as an emergency.

If you are in netboot, just reboot the server.

If you have affected kernel on the server, you should download the kernel on our public ftp
ftp://ftp.ovh.net/made-in-ovh/bzImage/
The kernels 2.6.27.10-grs 2.6.28.4-std have been recompiled with the source code patched against this security bug.

Once updated, you must find:
- version 6 for 2.6.27.10 grs
- version 3 for 2.6.28.4 std

If you are on IPv4, you do not need to update the kernel.

Information about the bug:
http://archives.neohapsis.com/archiv...9-08/0174.html

Regards,
Octave